List ML backends
List all configured ML backends for a specific project by ID. Use the following cURL command:
Authentication
AuthorizationToken
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:
curl https://label-studio-host/api/projects -H “Authorization: Token [your-token]”Query parameters
is_interactive
project
Project ID
Response
basic_auth_pass_is_set
created_at
id
project
readable_state
updated_at
url
URL for the machine learning model server
auth_method
NONE- NoneBASIC_AUTH- Basic Auth
Allowed values:
auto_update
If false, model version is set by the user, if true - getting latest version from backend.
basic_auth_user
HTTP Basic Auth user
description
Description for the machine learning backend
error_message
Error message in error state
extra_params
Any extra parameters passed to the ML Backend during the setup
is_interactive
Used to interactively annotate tasks. If true, model returns one list with results
model_version
Current model version associated with this machine learning backend
state
CO- ConnectedDI- DisconnectedER- ErrorTR- TrainingPR- Predicting
Allowed values:
timeout
Response model timeout
title
Name of the machine learning backend